Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 16 Jan 2021 02:47:08 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I have visited the CenterPoint Riyadh Mall, Riyadh, and wanted to redeem my ICSABB credit points to buy clothes. 

At the counter, the cashier refused to redeem points saying there is no such facility later when I argue, he asked another cashier to help in this regard and later another one made excuse saying "Machine is not working, its battery is down, etc, etc".

Come on this is the 21st century and you are in one of the advance digital countries and making such lame excuses, shows a bad mentality towards customers and this is not acceptable at all. You have to be serious for customers to offer your services.

If no such action is taken, sooner or later I will found Saudi Consumer Forum to make a complaint about carelessness for customer services. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1989620